#!/bin/bash

POSITIONAL_ARGS=()

REVISE_DATASET_PARAM_N=1e3
REVISE_DATASET_PARAM_TIME_STEPS=1
REVISE_DATASET_PARAM_DEPTH=8
REVISE_DATASET_PARAM_BREFINE=3
REVISE_DATASET_PARAM_MAX_LEVEL=0

while [[ $# -gt 0 ]]; do
  case $1 in
    -N)
      REVISE_DATASET_PARAM_N="$2"
      shift 2
      ;;
    -t|--tn)
      REVISE_DATASET_PARAM_TIME_STEPS="$2"
      shift 2
      ;;
    -d|--depth)
      REVISE_DATASET_PARAM_DEPTH="$2"
      shift 2
      ;;
    -b|--brefine)
      REVISE_DATASET_PARAM_BREFINE="$2"
      shift 2
      ;;
    -l|--max-level)
      REVISE_DATASET_PARAM_MAX_LEVEL="$2"
      shift 2
      ;;
    -*|--*)
      echo "Unknown option $1"
      exit 1
      ;;
    *)
      echo "Unexpected positional argument $1"
      exit 1
      # POSITIONAL_ARGS+=("$1") # save positional arg
      # shift
      ;;
  esac
done

REVISE_DATASET_NAME="p-sphere_N${REVISE_DATASET_PARAM_N}_t${REVISE_DATASET_PARAM_TIME_STEPS}_D${REVISE_DATASET_PARAM_DEPTH}_br${REVISE_DATASET_PARAM_BREFINE}_L${REVISE_DATASET_PARAM_MAX_LEVEL}"
REVISE_DATASET_TYPE=bin
REVISE_DATASET_ANIMATED=false
REVISE_DATASET_TIME_STEPS=1
REVISE_DATASET_FIELD_NAME="F"
REVISE_DATASET_BLOCK_DEPTH=8
REVISE_DATASET_MAX_LEVEL=0
REVISE_DATASET_WARMINGUP_TIME=0
REVISE_DATASET_CAMERA_FOVY=11
REVISE_DATASET_PREP_RAM=16
REVISE_DATASET_PATH="$REVISE_DATASET/$REVISE_DATASET_NAME/sphere.bin"
